﻿body {
    min-height: 100%;
}

.validation-summary-errors ul {
    list-style: none;
    margin-left: -40px
}

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
}

.logo {
    height: 3rem;
}

.labs-list-select {
    width: 8rem !important;
    color: #fff !important;
    background-color: #f7a54a !important;
    border-color: #f7a54a !important;
    border-radius: 3px !important;
    font-weight: 600 !important;
    font-size: 0.8rem !important;
}

.img-h-w-7 {
    height: 5rem;
    width: 5rem;
    border: 1px dashed #000;
    border-radius: 0.25rem;
    margin-bottom: 1rem !important;
}

.no-envelop-img-h-w-7 {
    height: 5rem;
    width: 5rem;
    border-radius: 0.25rem;
    margin-bottom: 1rem !important;
}

.badge-size {
    font-size: medium;
    height: 2rem;
}

.border-radius {
    border-radius: 0.25rem !important;
}

.mt-2-rem {
    margin-top: 2rem;
}


.blink-text {
    animation: blinker 2s linear infinite;
}

@keyframes blinker {
    50% {
        opacity: 0;
    }
}

/* Fix height and enable scrolling */
.grid {
    height: 25rem;
    overflow-y: auto;
}

.quickgrid[theme=default] {
    --col-gap: none !important;
}

.grid table {
    min-width: 100%;
}

    /* Sticky header while scrolling */
    .grid table thead {
        position: sticky;
        top: -1px;
        z-index: 10;
        background-color: #eee;
    }

.switch {
    position: relative;
    display: inline-block;
    width: 40px;
    height: 25px;
}

    .switch input {
        opacity: 0;
        width: 0;
        height: 0;
    }

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0px;
    right: -12px;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

    .slider:before {
        position: absolute;
        content: "";
        height: 18px;
        width: 18px;
        left: 4px;
        bottom: 4px;
        background-color: white;
        -webkit-transition: .4s;
        transition: .4s;
    }

input:checked + .slider {
    background-color: #2196F3;
}

input:focus + .slider {
    box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
    border-radius: 24px;
}

    .slider.round:before {
        border-radius: 50%;
    }

.quick-grid-col-width-5 {
    width: 10rem !important;
}

.tooltip-container {
    display: inline-block;
    position: relative;
}

.tooltip-icon {
    font-size: 14px;
    margin-left: 5px;
    cursor: pointer;
}

